Calendar
Follow a calendar event
Follow or unfollow an event on a group's calendar
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
groupId*string
Must be a valid group ID.
calendarId*string
Must be a valid calendar ID.
Request Body
application/json
isFollowing*boolean
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/calendar/grp_00000000-0000-0000-0000-000000000000/cal_00000000-0000-0000-0000-000000000000/follow" \ -H "Content-Type: application/json" \ -d '{ "isFollowing": true }'{
"accessType": "group",
"category": "performance",
"closeInstanceAfterEndMinutes": 0,
"createdAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"description": "string",
"durationInMs": 0,
"endsAt": "2019-08-24T14:15:22Z",
"featured": true,
"guestEarlyJoinMinutes": 0,
"hostEarlyJoinMinutes": 0,
"id": "cal_6b182f0c-61ef-4bdf-97fe-94f63bcba27b",
"imageId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
"imageUrl": "string",
"interestedUserCount": 0,
"isDraft": true,
"languages": [
"eng"
],
"occurrenceKind": "string",
"ownerId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
"platforms": [
"android"
],
"recurrence": "string",
"roleIds": [
"grol_459d3911-f672-44bc-b84d-e54ffe7960fe"
],
"seriesId": "string",
"startsAt": "2019-08-24T14:15:22Z",
"tags": [
"string"
],
"title": "string",
"type": "event",
"updatedAt": "2019-08-24T14:15:22Z",
"userInterest": {
"createdAt": "2019-08-24T14:15:22Z",
"isFollowing": true,
"updatedAt": "2019-08-24T14:15:22Z"
},
"usesInstanceOverflow": true
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Discover calendar events GET
Get a list of calendar events Initially, call without a `nextCursor` parameter For every successive call, use the `nextCursor` property returned in the previous call & the `number` of entries desired for this call The `nextCursor` internally keeps track of the `offset` of the results, the initial request parameters, and accounts for discrepancies that might arise from time elapsed between calls
List calendar events GET
Get a list of a user's calendar events for the month in ?date